Cancel Submission
You can use this request on a submission object record that has a Submissions Archive Status (archive_status__v) of:
| Name | Description |
|---|---|
IMPORT_IN_PROGRESS | This will terminate the import job and set the archive_status__v field on the submission__v object record to "Error". The submission must be removed before a re-import can be done. See Remove Submission. |
REMOVAL_IN_PROGRESS | This will terminate the import removal job and set the archive_status__v field on the submission__v object record to "Error". The submission must be removed before a re-import can be done. See Remove Submission. |
IMPORT_IN_QUEUE | This will remove the import from the job queue and set the archive_status__v field on the submission__v object record to "Null". See Import Submission. |
REMOVAL_IN_QUEUE | This will remove the import removal from the job queue and set the archive_status__v field on the submission__v object record to "Error". See Import Submission. |
To retrieve the archive_status__v,
GET
. See Retrieve Object Record.
/api/{version}/vobjects/submission__v/{submission_id}POST
/api/{version}/vobjects/submission__v/{submission_id}/actions/import?cancel=trueHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{submission_id} | The id field value of the submission__v object record. To get this value, use VQL to retrieve all records on the submission__v object. |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
cancel | You must include cancel = true to the request endpoint. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v26.1/vobjects/submission__v/00S000000000101/actions/import?cancel=trueResponse
Section link for Response{
"responseStatus": "SUCCESS"
}